commit:     0c76e27aa23c1e251ea6670e725710f2116d03b8
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Sep 30 11:54:37 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct  6 22:33:10 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c76e27a

app-arch/lha: EAPI7 revbump, use HTTPs

Closes: https://bugs.gentoo.org/667360
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/10023

 .../lha/files/lha-114i-file-list-from-stdin.patch  |  8 ++--
 .../lha-114i-fix-getopt_long-declaration.patch     |  4 +-
 app-arch/lha/lha-114i-r9.ebuild                    | 53 ++++++++++++++++++++++
 3 files changed, 59 insertions(+), 6 deletions(-)

diff --git a/app-arch/lha/files/lha-114i-file-list-from-stdin.patch 
b/app-arch/lha/files/lha-114i-file-list-from-stdin.patch
index 4bd0d17d752..d29f8d20bc8 100644
--- a/app-arch/lha/files/lha-114i-file-list-from-stdin.patch
+++ b/app-arch/lha/files/lha-114i-file-list-from-stdin.patch
@@ -1,7 +1,7 @@
 Index: src/lharc.c
 ===================================================================
---- src/lharc.c        (revision 773)
-+++ src/lharc.c        (working copy)
+--- a/src/lharc.c      (revision 773)
++++ b/src/lharc.c      (working copy)
 @@ -561,7 +561,7 @@
          if (!isatty(1) && cmd == CMD_ADD)
              quiet = TRUE;
@@ -13,8 +13,8 @@ Index: src/lharc.c
              /* Bug(?) on MinGW, isatty() return 0 on Cygwin console.
 Index: configure.ac
 ===================================================================
---- configure.ac       (revision 773)
-+++ configure.ac       (working copy)
+--- a/configure.ac     (revision 773)
++++ b/configure.ac     (working copy)
 @@ -289,6 +289,11 @@
            [Define to 1 if you want to ignore dot files with -X command line 
switch])
  fi

diff --git a/app-arch/lha/files/lha-114i-fix-getopt_long-declaration.patch 
b/app-arch/lha/files/lha-114i-fix-getopt_long-declaration.patch
index b57a1c9c615..3c3b7dfd94c 100644
--- a/app-arch/lha/files/lha-114i-fix-getopt_long-declaration.patch
+++ b/app-arch/lha/files/lha-114i-fix-getopt_long-declaration.patch
@@ -1,5 +1,5 @@
---- src/getopt_long.c.orig      2013-12-18 16:05:59.789413528 -0600
-+++ src/getopt_long.c   2013-12-18 16:06:01.200420472 -0600
+--- a/src/getopt_long.c   2013-12-18 16:05:59.789413528 -0600
++++ b/src/getopt_long.c   2013-12-18 16:06:01.200420472 -0600
 @@ -64,7 +64,7 @@
  
  #ifndef USE_GNU

diff --git a/app-arch/lha/lha-114i-r9.ebuild b/app-arch/lha/lha-114i-r9.ebuild
new file mode 100644
index 00000000000..fc3cd93847f
--- /dev/null
+++ b/app-arch/lha/lha-114i-r9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+MY_P="${PN}-1.14i-ac20050924p1"
+
+DESCRIPTION="Utility for creating and opening lzh archives"
+HOMEPAGE="https://lha.osdn.jp https://github.com/jca02266/lha";
+SRC_URI="mirror://sourceforge.jp/${PN}/22231/${MY_P}.tar.gz"
+
+LICENSE="lha"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~m68k-mint"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-file-list-from-stdin.patch
+       "${FILESDIR}"/${P}-fix-getopt_long-declaration.patch
+)
+
+src_prepare() {
+       default
+
+       sed -e '/^AM_C_PROTOTYPES/d' \
+               -e 's/^AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' \
+               -i configure.ac || die #423125, 467544
+
+       eautoreconf
+}
+
+src_configure() {
+       append-cppflags -DPROTOTYPES #423125
+
+       if [[ ${CHOST} == *-interix* ]]; then
+               export ac_cv_header_inttypes_h=no
+               export ac_cv_func_iconv=no
+       fi
+
+       econf
+}
+
+src_install() {
+       emake \
+               DESTDIR="${D}" \
+               mandir="${EPREFIX}"/usr/share/man/ja \
+               install
+
+       dodoc ChangeLog Hacking_of_LHa
+}

Reply via email to